List connections
curl --request GET \
--url https://api.engini.io/v1/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engini.io/v1/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"connectionId": 123,
"connectionName": "<string>",
"applicationSlug": "<string>",
"isPublic": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"applicationName": "<string>",
"applicationLogo": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"offset": 123,
"top": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Connections
List connections
List the connections available to the caller, with optional filtering and pagination.
GET
/
v1
/
connections
List connections
Authorizations
BearerApiKey
Enter your JWT token
Query Parameters
Optional filter limiting results to connections of a specific application.
Optional name filter.
Zero-based index of the first item to return. Defaults to 0.
Maximum number of items to return (capped at 100). Defaults to 25.
Optional metadata key/value pairs to filter connections by.
Show child attributes
Show child attributes
Response
A paginated list of connections.
Offset-based paginated wrapper for a list of items.
The items in the current page.
Show child attributes
Show child attributes
Total number of items available across all pages.
Number of items skipped before this page (the requested offset).
Maximum number of items requested for this page.
⌘I